package com.yihu.wlyy.web.patient.followup.vo;

import java.util.Date;

public class FollowUpItemRecordVO {

	// 非业务主键
	protected Long id;
	// 计划标识
	private String code;
	// 随访计划标识
	private String plan;
	// 随访计划阶段标识
	private String stage;
	// 类型：1定时，2不定时
	private int type;
	// 标题
	private String title;
	// 推送类型：1按时间，2按次数
	private int pushType;
	// 推送次数
	private int pushTimes;
	// 推送周期
	private int pushCycle;
	// 推送周期单位：1天，2周，3月
	private int pushCycleUnit;
	// 下一次推送日期
	private Date nextPushDate;
	// 推送开始日期
	private Date pushBegin;
	// 推送结束日期
	private Date pushEnd;
	// 执行状态：-1暂停，0未开始，1进行中，2已结束
	private int status;
	// 添加时间
	private Date czrq;
	public Long getId() {
		return id;
	}
	public void setId(Long id) {
		this.id = id;
	}
	public String getCode() {
		return code;
	}
	public void setCode(String code) {
		this.code = code;
	}
	public String getPlan() {
		return plan;
	}
	public void setPlan(String plan) {
		this.plan = plan;
	}
	public String getStage() {
		return stage;
	}
	public void setStage(String stage) {
		this.stage = stage;
	}
	public int getType() {
		return type;
	}
	public void setType(int type) {
		this.type = type;
	}
	public String getTitle() {
		return title;
	}
	public void setTitle(String title) {
		this.title = title;
	}
	public int getPushType() {
		return pushType;
	}
	public void setPushType(int pushType) {
		this.pushType = pushType;
	}
	public int getPushTimes() {
		return pushTimes;
	}
	public void setPushTimes(int pushTimes) {
		this.pushTimes = pushTimes;
	}
	public int getPushCycle() {
		return pushCycle;
	}
	public void setPushCycle(int pushCycle) {
		this.pushCycle = pushCycle;
	}
	public int getPushCycleUnit() {
		return pushCycleUnit;
	}
	public void setPushCycleUnit(int pushCycleUnit) {
		this.pushCycleUnit = pushCycleUnit;
	}
	public Date getNextPushDate() {
		return nextPushDate;
	}
	public void setNextPushDate(Date nextPushDate) {
		this.nextPushDate = nextPushDate;
	}
	public Date getPushBegin() {
		return pushBegin;
	}
	public void setPushBegin(Date pushBegin) {
		this.pushBegin = pushBegin;
	}
	public Date getPushEnd() {
		return pushEnd;
	}
	public void setPushEnd(Date pushEnd) {
		this.pushEnd = pushEnd;
	}
	public int getStatus() {
		return status;
	}
	public void setStatus(int status) {
		this.status = status;
	}
	public Date getCzrq() {
		return czrq;
	}
	public void setCzrq(Date czrq) {
		this.czrq = czrq;
	}
	
	
}
